Bug Hunting Session
Bug 83350 - RTL: Arabic UI has status bar fields that are aligned to the left
Summary: RTL: Arabic UI has status bar fields that are aligned to the left
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Statusbar
  Show dependency treegraph
 
Reported: 2014-09-01 11:46 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-05 03:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
how the page numbering looks after scrolling to page 2 (84.94 KB, image/png)
2014-09-01 11:46 UTC, Yousuf Philips (jay) (retired)
Details
screenshot (4.30 KB, image/png)
2017-10-02 14:36 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-01 11:46:53 UTC
Created attachment 105550 [details]
how the page numbering looks after scrolling to page 2

When in the arabic UI, when i open up a document 'page 1 / X' is right aligned as it should be, but if i scroll down to page 2, it becomes left aligned. A work around is to press alt+tab twice, which bring it back to right aligned, but if i scroll to another page, it goes back to left aligned.

Steps:
1) Change to Arabic UI
2) Open Writer
3) Press Ctrl+Enter to make a second page
4) Look at statusbar page numbering, it is left aligned

Tested in 4.2.6, 4.3.2 and master in Linux and Windows.
Comment 1 Gordo 2015-05-27 19:04:21 UTC
I see it happening in 4.3.6.2 portable.

Is it still happening in newer versions?
Comment 2 Yousuf Philips (jay) (retired) 2015-05-31 12:16:42 UTC
Tested it on Windows is master and it seems fine. 5.1alpha1 2015-05-30 @62
Comment 3 Yousuf Philips (jay) (retired) 2017-10-02 14:32:38 UTC
Issue is still present and now happens on all fields in the status bar on Windows and Linux.

Version: 5.4.3.0.0+
Build ID: fb64cf127dc6398f5d18d186a93966837db0bb1e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-27_12:54:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Yousuf Philips (jay) (retired) 2017-10-02 14:36:22 UTC
Created attachment 136695 [details]
screenshot
Comment 5 Omer Zak 2017-11-04 20:39:32 UTC
When testing on:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)

using Hebrew UI:


The "page 1 from 1" is left aligned even before entering any page break.
Also "0 words, 0 characters" and "default style" (the first three fields form the right side). (the text messages actually appear in Hebrew)

The "Alt+Tab" trick to right align the status line fields does not fix the alignment of those fields, because my desktop (Xfce4) intercepts it.
Comment 6 QA Administrators 2018-11-05 03:43:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug